Xapian: API Documentation: Xapian::FreqSource Class Reference

xapian-core 2.1.0

Public Member Functions | List of all members
Xapian::FreqSource Class Referenceabstract

Base class for TermListGroup Stores and provides terms that are contained in a document and their respective term frequencies. More...

`#include <cluster.h>`

Inheritance diagram for Xapian::FreqSource:
[legend]

## Public Member Functions
| FreqSource ()
| Default constructor.
virtual | ~FreqSource ()
| Destructor.
virtual doccount | get_termfreq (const std::string &term) const =0
| Return the term frequency of a particular term 'term'.
virtual doccount | get_doccount () const =0
| Return the number of documents within the MSet.
FreqSource * | release ()
| Start reference counting this object.
const FreqSource * | release () const
| Start reference counting this object.

## Detailed Description

Base class for TermListGroup Stores and provides terms that are contained in a document and their respective term frequencies.

## Member Function Documentation

## ◆ get_doccount()

virtual doccount Xapian::FreqSource::get_doccount | ( |  | ) | const
| pure virtual

Return the number of documents within the MSet.

Implemented in Xapian::TermListGroup.

## ◆ get_termfreq()

virtual doccount Xapian::FreqSource::get_termfreq | ( | const std::string & | term | ) | const
| pure virtual

Return the term frequency of a particular term 'term'.

Parameters

  term | The term for which to return the term frequency

Implemented in Xapian::TermListGroup.

## ◆ release() [1/2]

FreqSource * Xapian::FreqSource::release | ( |  | ) |
| inline

Start reference counting this object.

You can transfer ownership of a dynamically allocated FreqSource object to Xapian by calling release() and then passing the object to a Xapian method. Xapian will arrange to delete the object once it is no longer required.

## ◆ release() [2/2]

const FreqSource * Xapian::FreqSource::release | ( |  | ) | const
| inline

Start reference counting this object.

You can transfer ownership of a dynamically allocated FreqSource object to Xapian by calling release() and then passing the object to a Xapian method. Xapian will arrange to delete the object once it is no longer required.

The documentation for this class was generated from the following file:

- xapian/cluster.h